Name:           bestcrypt
Version:        2.0.5
Release:        555%{?dist}
Summary:        Container Encryption Software

License:        Proprietary
URL:            http://jetico.com/
Source0:        http://jetico.com/linux/BestCrypt-2.0.5.tar.gz
Patch0:         bestcrypt-2.0-install_to_DESTDIR.patch
Patch1:         bestcrypt-2.0-spacemap-clean.patch
Patch2:         bestcrypt-2.0-no_modules_compilation.patch

BuildRequires:  rpm-build gcc gcc-c++ libudev-devel kernel-devel kernel-headers qt4-devel
Requires:       dosfstools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
BestCrypt is a container encryption software program.
Using BestCrypt you can create encrypted containers and mount them as usual disks.


%prep
%setup -q -n BestCrypt-2.0.5
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make all panel %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install panel-fake-install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README HIDDEN_PART help LICENSE


%changelog
* Wed Jul 30 2014 Jetico Packager <packages@jetico.com> - 2.0-4
- Regular build
